Phishing Detection API API Reference

Easily and directly scan and block phishing security threats in input.

Swagger OpenAPI Specification | .NET Framework Client | .NET Core Client | Java Client | Node.JS Client | Python Client | Drupal Client

Version: v1

Authentication

Apikey

Apikey

type
apiKey
name
Apikey
in
header

Paths

Perform AI phishing detection and classification on an input image or document (PDF or DOCX). Analyzes input content as well as embedded URLs with AI deep learnign to detect phishing and other unsafe content. Uses 100-125 API calls depending on model selected.

POST /phishing/detect/file


model: string Advanced
in header

Model to use; default setting is Advanced

inputFile: file
in formData

(no description)

Code Example:
Response Content-Types: text/plain, application/json, text/json
Response Example (200 OK)
{
  "CleanResult": "boolean"
}

Perform AI phishing detection against input text string. Returns a clean/not-clean result with confidence level and optional rationale.

POST /phishing/detect/text-string


Phishing detection request

Code Example:
Request Content-Types: application/json, text/json, application/*+json
Request Example
{
  "InputString": "Hello, world!",
  "Model": "Advanced",
  "ProvideAnalysisRationale": true
}
Response Content-Types: text/plain, application/json, text/json
Response Example (200 OK)
{
  "CleanResult": "boolean",
  "ConfidenceLevel": "number (double)",
  "AnalysisRationale": "string"
}

Perform advanced AI phishing detection and classification against input text string. Analyzes input content as well as embedded URLs with AI deep learnign to detect spam, phishing and other unsafe content. Uses 25-100 API calls depending on model selected.

POST /phishing/detect/text-string/advanced


Phishing detection request

Code Example:
Request Content-Types: application/json, text/json, application/*+json
Request Example
{
  "InputString": "Hello, world!",
  "TextType": "TextMessage",
  "Model": "Advanced",
  "AllowUnsolicitedSales": true,
  "AllowPromotionalContent": true,
  "AllowWebUrls": true,
  "AllowPhoneNumbers": true,
  "AllowEmailAddresses": true,
  "ProvideUrlAnalysis": true,
  "CustomPolicyID": "",
  "ProvideAnalysisRationale": true,
  "FromName": "John Smith",
  "ToName": "Jane Doe",
  "FromPhoneNumber": "+1-555-123-4567",
  "ToPhoneNumber": "+1-555-987-6543",
  "FromEmailAddress": "john.smith@cloudmersive.com",
  "ToEmailAddress": "jane.doe@cloudmersive.com"
}
Response Content-Types: text/plain, application/json, text/json
Response Example (200 OK)
{
  "CleanResult": "boolean",
  "ContainsPhishing": "boolean",
  "ContainsUnsolicitedSales": "boolean",
  "ContainsPromotionalContent": "boolean",
  "ContainsWebUrls": "boolean",
  "ContainsPhoneNumbers": "boolean",
  "ContainsEmailAddresses": "boolean",
  "ConfidenceLevel": "number (double)",
  "AnalysisRationale": "string",
  "UnsafeUrls": [
    {
      "Url": "string",
      "CleanResult": "boolean",
      "IsSsrfThreat": "boolean",
      "ContainsPhishing": "boolean",
      "ContainsPhishingAttempt": "boolean"
    }
  ]
}

Perform advanced AI phishing detection and classification against input text string. Analyzes input content as well as embedded URLs with AI deep learning to detect phishing, phishing and other unsafe content. Uses 25-100 API calls depending on model selected.

POST /phishing/detect/file/advanced


model: string Advanced
in header

(no description)

customPolicyId: string
in header

(no description)

inputFile: file
in formData

(no description)

Code Example:
Response Content-Types: text/plain, application/json, text/json
Response Example (200 OK)
{
  "CleanResult": "boolean",
  "ContainsPhishing": "boolean",
  "ContainsUnsolicitedSales": "boolean",
  "ContainsPromotionalContent": "boolean",
  "ContainsWebUrls": "boolean",
  "ContainsPhoneNumbers": "boolean",
  "ContainsEmailAddresses": "boolean",
  "ConfidenceLevel": "number (double)",
  "AnalysisRationale": "string",
  "UnsafeUrls": [
    {
      "Url": "string",
      "CleanResult": "boolean",
      "IsSsrfThreat": "boolean",
      "ContainsPhishing": "boolean",
      "ContainsPhishingAttempt": "boolean"
    }
  ]
}

Perform advanced AI phishing detection and classification against input email. Analyzes input email as well as embedded URLs with AI deep learning to detect phishing, phishing and other unsafe content. Uses 25-100 API calls depending on model selected.

POST /phishing/detect/email/advanced


Phishing detection request

Code Example:
Request Content-Types: application/json, text/json, application/*+json
Request Example
{
  "FromEmailAddress": "string",
  "ToEmailAddress": "string",
  "Subject": "string",
  "HtmlBody": "string",
  "AllowLowReputationSenders": "boolean",
  "AllowSanctioned": "boolean",
  "CustomPolicyID": "string",
  "InputEmailFile": "string (byte)"
}
Response Content-Types: text/plain, application/json, text/json
Response Example (200 OK)
{
  "CleanResult": "boolean",
  "PhishingRiskLevel": "number (double)",
  "SpamRiskLevel": "number (double)",
  "ContainsLowReputationSender": "boolean",
  "ContainsPhishing": "boolean",
  "ContainsSpam": "boolean",
  "ContainsUnsolicitedSales": "boolean",
  "ContainsPromotionalContent": "boolean",
  "ContainsPhishingAttempt": "boolean",
  "AnalysisRationale": "string"
}

Perform advanced AI phishing detection and classification against an input URL. Retrieves the URL content, checks for SSRF threats, and analyzes the page with AI deep learning to detect phishing and other unsafe content. Uses 100-125 API calls.

POST /phishing/detect/url/advanced


URL phishing detection request

Code Example:
Request Content-Types: application/json, text/json, application/*+json
Request Example
{
  "Url": "string",
  "CustomPolicyID": "string"
}
Response Content-Types: text/plain, application/json, text/json
Response Example (200 OK)
{
  "CleanResult": "boolean",
  "PhishingRiskLevel": "number (double)",
  "IsSsrfThreat": "boolean",
  "ContainsPhishing": "boolean",
  "ContainsUnsolicitedSales": "boolean",
  "ContainsPromotionalContent": "boolean",
  "ContainsPhishingAttempt": "boolean",
  "AnalysisRationale": "string"
}

Schema Definitions

AdvancedEmailDetectionRequest: object

Request to detect phishing from an email

FromEmailAddress: string

Email address of the sender

ToEmailAddress: string

Email address of the recipient

Subject: string

Subject of the email

HtmlBody: string

Body of the email in HTML, or text

AllowLowReputationSenders: boolean

Allow email from low reputation senders and domains

AllowSanctioned: boolean

True to allow sanctioned countries and certain known sanctioned entities, false otherwise (default)

CustomPolicyID: string

Apply a Custom Policy for Phishing Enforcement by providing the ID; to create a Custom Policy, navigate to the Cloudmersive Management Portal and select Custom Policies. Requires Managed Instance or Private Cloud

InputEmailFile: string (byte)

Optional: Input email file bytes (EML, PDF, etc.). If not provided, HtmlBody will be used instead.

Example
{
  "FromEmailAddress": "string",
  "ToEmailAddress": "string",
  "Subject": "string",
  "HtmlBody": "string",
  "AllowLowReputationSenders": "boolean",
  "AllowSanctioned": "boolean",
  "CustomPolicyID": "string",
  "InputEmailFile": "string (byte)"
}

AdvancedUrlDetectionRequest: object

Request to detect phishing from a URL

Url: string

URL to check for phishing

CustomPolicyID: string

Apply a Custom Policy for Phishing Enforcement by providing the ID; to create a Custom Policy, navigate to the Cloudmersive Management Portal and select Custom Policies. Requires Managed Instance or Private Cloud

Example
{
  "Url": "string",
  "CustomPolicyID": "string"
}

PhishingDetectionAdvancedRequest: object

AI advanced phishing detection request

InputString: string

Input text string to detect phishing against

TextType: string

Optional: Type of text being analyzed. Must be one of: "TextMessage", "UserMessage", "SalesLead", "EmailMessage", "SupportCase", "AppMessage", "Other".

Model: string

Optional: Specify which AI model to use. Possible choices are Normal and Advanced. Default is Advanced.

AllowUnsolicitedSales: boolean

Optional: True if unsolicited sales should be allowed, false otherwise. Defaults to true.

AllowPromotionalContent: boolean

Optional: True if promotional content should be allowed, false otherwise. Defaults to true.

AllowWebUrls: boolean

Optional: True if web URLs should be allowed in the input text, false otherwise. Defaults to true. When false, input containing URLs (including homoglyph URLs and spaced-out URLs) will be flagged as not clean.

AllowPhoneNumbers: boolean

Optional: True if phone numbers should be allowed in the input text, false otherwise. Defaults to true. When false, input containing phone numbers (including homoglyph digits and spaced-out or spelled-out workarounds) will be flagged as not clean.

AllowEmailAddresses: boolean

Optional: True if email addresses should be allowed in the input text, false otherwise. Defaults to true. When false, input containing email addresses (including homoglyph characters and obfuscated workarounds like "danny at somedomaine [DOT] com") will be flagged as not clean.

ProvideUrlAnalysis: boolean

Optional: True to perform deep URL analysis on any URLs detected in the text. When enabled, if the initial AI scan detects URLs, a second AI call enumerates them and each URL is individually analyzed for phishing. Defaults to true.

CustomPolicyID: string

Apply a Custom Policy for Phishing Enforcement by providing the ID; to create a Custom Policy, navigate to the Cloudmersive Management Portal and select Custom Policies. Requires Managed Instance or Private Cloud

ProvideAnalysisRationale: boolean

Optional: Set to true to include an analysis rationale in the response explaining why the content was or was not flagged. Default is true.

FromName: string

Optional: Name of the sender

ToName: string

Optional: Name of the recipient

FromPhoneNumber: string

Optional: Phone number of the sender

ToPhoneNumber: string

Optional: Phone number of the recipient

FromEmailAddress: string

Optional: Email address of the sender

ToEmailAddress: string

Optional: Email address of the recipient

Example
{
  "InputString": "Hello, world!",
  "TextType": "TextMessage",
  "Model": "Advanced",
  "AllowUnsolicitedSales": true,
  "AllowPromotionalContent": true,
  "AllowWebUrls": true,
  "AllowPhoneNumbers": true,
  "AllowEmailAddresses": true,
  "ProvideUrlAnalysis": true,
  "CustomPolicyID": "",
  "ProvideAnalysisRationale": true,
  "FromName": "John Smith",
  "ToName": "Jane Doe",
  "FromPhoneNumber": "+1-555-123-4567",
  "ToPhoneNumber": "+1-555-987-6543",
  "FromEmailAddress": "john.smith@cloudmersive.com",
  "ToEmailAddress": "jane.doe@cloudmersive.com"
}

PhishingDetectionAdvancedResponse: object

Result of detecting phishing using AI

CleanResult: boolean

True if the result is not phishing (clean), and false otherwise

ContainsPhishing: boolean

True if the input text contains a phishing attempt, false otherwise

ContainsUnsolicitedSales: boolean

True if the input text contains unsolicited sales, false otherwise

ContainsPromotionalContent: boolean

True if the input text contains promotional content, false otherwise

ContainsWebUrls: boolean

True if the input text contains web URLs, including homoglyph URLs and spaced-out URL workarounds

ContainsPhoneNumbers: boolean

True if the input text contains phone numbers, including homoglyph digits and spaced-out or spelled-out workarounds

ContainsEmailAddresses: boolean

True if the input text contains email addresses, including homoglyph characters and obfuscated workarounds

ConfidenceLevel: number (double)

Confidence level between 0.0 and 1.0 where values over 0.9 indicate high confidence

AnalysisRationale: string

Rationale for why the conclusion was formed

UnsafeUrls: UnsafeUrlResult

URLs detected in the input text that were analyzed and found to be unsafe. Only populated when ProvideUrlAnalysis is true and URLs are detected.

UnsafeUrlResult
Example
{
  "CleanResult": "boolean",
  "ContainsPhishing": "boolean",
  "ContainsUnsolicitedSales": "boolean",
  "ContainsPromotionalContent": "boolean",
  "ContainsWebUrls": "boolean",
  "ContainsPhoneNumbers": "boolean",
  "ContainsEmailAddresses": "boolean",
  "ConfidenceLevel": "number (double)",
  "AnalysisRationale": "string",
  "UnsafeUrls": [
    {
      "Url": "string",
      "CleanResult": "boolean",
      "IsSsrfThreat": "boolean",
      "ContainsPhishing": "boolean",
      "ContainsPhishingAttempt": "boolean"
    }
  ]
}

PhishingDetectionEmailAdvancedResponse: object

Result of detecting phishing using AI

CleanResult: boolean

True if the result is not phishing (clean), and false otherwise

PhishingRiskLevel: number (double)

Overall phishing risk level between 0.0 and 1.0

SpamRiskLevel: number (double)

Overall phishing spam level between 0.0 and 1.0

ContainsLowReputationSender: boolean

True if the input email is from a low reputation sender

ContainsPhishing: boolean

True if the input email contains phishing threat risks, false otherwise

ContainsSpam: boolean

True if the email contains phishing threat risks, false otherwise

ContainsUnsolicitedSales: boolean

True if the input email contains unsolicited sales, false otherwise

ContainsPromotionalContent: boolean

True if the input email contains promotional content, false otherwise

ContainsPhishingAttempt: boolean

True if the input email contains a phishing attempt, false otherwise

AnalysisRationale: string

Rationale for why the conclusion was formed

Example
{
  "CleanResult": "boolean",
  "PhishingRiskLevel": "number (double)",
  "SpamRiskLevel": "number (double)",
  "ContainsLowReputationSender": "boolean",
  "ContainsPhishing": "boolean",
  "ContainsSpam": "boolean",
  "ContainsUnsolicitedSales": "boolean",
  "ContainsPromotionalContent": "boolean",
  "ContainsPhishingAttempt": "boolean",
  "AnalysisRationale": "string"
}

PhishingDetectionResponse: object

Result of detecting phishing using AI

CleanResult: boolean

True if the result is not phishing (clean), and false otherwise

Example
{
  "CleanResult": "boolean"
}

PhishingDetectionTextStringRequest: object

AI phishing detection request for basic text string analysis

InputString: string

Input text string to detect phishing against

Model: string

Optional: Specify which AI model to use. Possible choices are Normal and Advanced. Default is Advanced.

ProvideAnalysisRationale: boolean

Optional: Set to true to include an analysis rationale in the response explaining why the content was or was not flagged. Default is true.

Example
{
  "InputString": "Hello, world!",
  "Model": "Advanced",
  "ProvideAnalysisRationale": true
}

PhishingDetectionTextStringResponse: object

Result of detecting phishing using AI for basic text string analysis

CleanResult: boolean

True if the result is not phishing (clean), and false otherwise

ConfidenceLevel: number (double)

Confidence level between 0.0 and 1.0 where values over 0.9 indicate high confidence

AnalysisRationale: string

Rationale for why the conclusion was formed

Example
{
  "CleanResult": "boolean",
  "ConfidenceLevel": "number (double)",
  "AnalysisRationale": "string"
}

PhishingDetectionUrlAdvancedResponse: object

Result of detecting phishing from a URL using AI

CleanResult: boolean

True if the result is not phishing (clean), and false otherwise

PhishingRiskLevel: number (double)

Overall phishing risk level between 0.0 and 1.0

IsSsrfThreat: boolean

True if the URL is an SSRF threat

ContainsPhishing: boolean

True if the URL contains phishing threat risks, false otherwise

ContainsUnsolicitedSales: boolean

True if the URL contains unsolicited sales, false otherwise

ContainsPromotionalContent: boolean

True if the URL contains promotional content, false otherwise

ContainsPhishingAttempt: boolean

True if the URL contains a phishing attempt, false otherwise

AnalysisRationale: string

Rationale for why the conclusion was formed

Example
{
  "CleanResult": "boolean",
  "PhishingRiskLevel": "number (double)",
  "IsSsrfThreat": "boolean",
  "ContainsPhishing": "boolean",
  "ContainsUnsolicitedSales": "boolean",
  "ContainsPromotionalContent": "boolean",
  "ContainsPhishingAttempt": "boolean",
  "AnalysisRationale": "string"
}

UnsafeUrlResult: object

Result of analyzing an individual URL found in text

Url: string

The URL that was detected and analyzed

CleanResult: boolean

True if the result is not phishing (clean), and false otherwise

IsSsrfThreat: boolean

True if the URL is an SSRF threat

ContainsPhishing: boolean

True if the URL contains phishing threat risks, false otherwise

ContainsPhishingAttempt: boolean

True if the URL contains a phishing attempt, false otherwise

Example
{
  "Url": "string",
  "CleanResult": "boolean",
  "IsSsrfThreat": "boolean",
  "ContainsPhishing": "boolean",
  "ContainsPhishingAttempt": "boolean"
}